Firmware update LTE3316-M604 fails

Hello, I have a device with the model LTE3316-M604. When trying to upgrade using the file downloaded from the official website, I encounter the following error message. Could you please let me know if there is an issue with the device or if it is due to incompatibility between the file and the device? Thank you.

Invalid upgrade file!

Please make sure you have correct file.

The system will restart in 115 seconds.

All Replies

  • Bob_C
    Bob_C Posts: 165  Zyxel Employee
    First Anniversary 10 Comments Friend Collector First Answer

    Hi,

    I suppose your current firmware name starts with V1.00 instead of V2.00.

    If so, this model's firmware is not available on Zyxel website.

    Regards,

    Bob

Consumer Product Help Center